---
title: WebGL2RenderingContext.getInternalformatParameter()
slug: Web/API/WebGL2RenderingContext/getInternalformatParameter
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL2
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGL2RenderingContext.getInternalformatParameter()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL 2 API</a> returns information about implementation-dependent support for internal formats.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">any <var>gl</var>.getInternalformatParameter(<var>target</var>, <var>internalformat</var>, <var>pname</var>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>target</code></dt>
 <dd>A {{domxref("Glenum")}} specifying the target renderbuffer object. Possible values:
 <ul>
  <li><code>gl.RENDERBUFFER</code>: Buffer data storage for single images in a renderable internal format.</li>
 </ul>
 </dd>
 <dt><code>internalformat</code></dt>
 <dd>A {{domxref("GLenum")}} specifying the internal format about which to retrieve information (must be a color-renderable, depth-renderable or stencil-renderable format).</dd>
 <dt><code>pname</code></dt>
 <dd>A {{domxref("GLenum")}} specifying the type of information to query. Possible values:
 <ul>
  <li><code>gl.SAMPLES</code>: Returns a {{jsxref("Int32Array")}} containing sample counts supported for <code>internalformat</code> in descending order.</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>Depends on the requested information (as specified with <code>pname</code>). It is an {{jsxref("Int32Array")}} if <code>pname</code> is <code>gl.SAMPLES</code>.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var samples = gl.getInternalformatParameter(gl.RENDERBUFFER,
                                            gl.RGBA8, gl.SAMPLES);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.7.5", "getInternalFormatParameter")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Initial definition for WebGL.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glGetInternalformativ.xhtml", "glGetInternalformativ")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the (similar) OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGL2RenderingContext.getInternalformatParameter")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.getRenderbufferParameter()")}}</li>
</ul>
